Last Comment Bug 762047 - Improve content/html/content/tests/forms/test_progress_element.html
: Improve content/html/content/tests/forms/test_progress_element.html
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 762435
Blocks: 686913
  Show dependency treegraph
 
Reported: 2012-06-06 07:35 PDT by Mounir Lamouri (:mounir)
Modified: 2012-06-08 13:58 PDT (History)
1 user (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (2.23 KB, patch)
2012-06-06 07:35 PDT, Mounir Lamouri (:mounir)
Ms2ger: review+
Details | Diff | Splinter Review
Patch v2 (2.23 KB, patch)
2012-06-07 04:39 PDT, Mounir Lamouri (:mounir)
Ms2ger: review+
mounir: checkin+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2012-06-06 07:35:43 PDT
Created attachment 630564 [details] [diff] [review]
Patch

Some changes in bug 686913 weren't the best actually.
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2012-06-06 09:41:47 PDT
Comment on attachment 630564 [details] [diff] [review]
Patch

Review of attachment 630564 [details] [diff] [review]:
-----------------------------------------------------------------

Sure
Comment 2 Mounir Lamouri (:mounir) 2012-06-07 04:39:20 PDT
Created attachment 630923 [details] [diff] [review]
Patch v2

Trivial change: the element is now labelable.
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-06-07 04:46:59 PDT
Comment on attachment 630923 [details] [diff] [review]
Patch v2

Review of attachment 630923 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with the description fixed.

::: content/html/content/test/forms/test_progress_element.html
@@ +222,5 @@
> +  var label = document.createElement('label');
> +
> +  content.appendChild(label);
> +  label.appendChild(aElement);
> +  is(label.control, aElement, "progress should not be labelable");

not?
Comment 4 Ed Morley [:emorley] 2012-06-08 13:58:26 PDT
https://hg.mozilla.org/mozilla-central/rev/113a75e9bf67

Note You need to log in before you can comment on or make changes to this bug.